function [dlon] = m_to_lon(dx,alat)

% This routine converts from meters to longitude degrees using latitude scaling
% factor based upon alat

dtr = pi/180;
dtm = 60*1852;		% meters/degree of latitude

factor = dtm*cos(dtr*alat);
dlon = dx ./ factor;
